using ChuPiao.Common.Configuration;
using System.Configuration;

namespace ChuPiao.AutoPrint.Configuration
{
    public class TemplateConfigurationSettingSection : SerializableConfigurationSection
    {
        /// <summary>
        /// 配置模版节名称
        /// </summary>
        public const string SectionName = "templateConfigurationSetting";

        public TemplateConfigurationSettingSection(): base()
        {
        }

        public static TemplateConfigurationSettingSection GetTemplateConfigurationSection()
        {
            return (TemplateConfigurationSettingSection)ConfigurationManager.GetSection(SectionName);
        }

        [ConfigurationProperty("templates")]
        public TemplateCollection Templates
        {
            get
            {
                return (TemplateCollection)base["templates"];
            }
        }
    }
}
